Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network20.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
20.0.0.0
Broadcast address
20.255.255.255
First usable
20.0.0.1
Last usable
20.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 14000000 · Integer 335544320 to 352321535
Reverse DNS zone
20.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00010100..00000000.00000000.0000000020.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network00010100..00000000.00000000.0000000020.0.0.0
Broadcast00010100..11111111.11111111.1111111120.255.255.255
Split into smaller subnets/15

20.0.0.0/8 makes 128 subnets of /15.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
120.0.0.0/1520.0.0.1 to 20.1.255.25420.1.255.255131,070
220.2.0.0/1520.2.0.1 to 20.3.255.25420.3.255.255131,070
320.4.0.0/1520.4.0.1 to 20.5.255.25420.5.255.255131,070
420.6.0.0/1520.6.0.1 to 20.7.255.25420.7.255.255131,070
520.8.0.0/1520.8.0.1 to 20.9.255.25420.9.255.255131,070
620.10.0.0/1520.10.0.1 to 20.11.255.25420.11.255.255131,070
720.12.0.0/1520.12.0.1 to 20.13.255.25420.13.255.255131,070
820.14.0.0/1520.14.0.1 to 20.15.255.25420.15.255.255131,070
920.16.0.0/1520.16.0.1 to 20.17.255.25420.17.255.255131,070
1020.18.0.0/1520.18.0.1 to 20.19.255.25420.19.255.255131,070
1120.20.0.0/1520.20.0.1 to 20.21.255.25420.21.255.255131,070
1220.22.0.0/1520.22.0.1 to 20.23.255.25420.23.255.255131,070
1320.24.0.0/1520.24.0.1 to 20.25.255.25420.25.255.255131,070
1420.26.0.0/1520.26.0.1 to 20.27.255.25420.27.255.255131,070
1520.28.0.0/1520.28.0.1 to 20.29.255.25420.29.255.255131,070
1620.30.0.0/1520.30.0.1 to 20.31.255.25420.31.255.255131,070
1720.32.0.0/1520.32.0.1 to 20.33.255.25420.33.255.255131,070
1820.34.0.0/1520.34.0.1 to 20.35.255.25420.35.255.255131,070
1920.36.0.0/1520.36.0.1 to 20.37.255.25420.37.255.255131,070
2020.38.0.0/1520.38.0.1 to 20.39.255.25420.39.255.255131,070
2120.40.0.0/1520.40.0.1 to 20.41.255.25420.41.255.255131,070
2220.42.0.0/1520.42.0.1 to 20.43.255.25420.43.255.255131,070
2320.44.0.0/1520.44.0.1 to 20.45.255.25420.45.255.255131,070
2420.46.0.0/1520.46.0.1 to 20.47.255.25420.47.255.255131,070
2520.48.0.0/1520.48.0.1 to 20.49.255.25420.49.255.255131,070
2620.50.0.0/1520.50.0.1 to 20.51.255.25420.51.255.255131,070
2720.52.0.0/1520.52.0.1 to 20.53.255.25420.53.255.255131,070
2820.54.0.0/1520.54.0.1 to 20.55.255.25420.55.255.255131,070
2920.56.0.0/1520.56.0.1 to 20.57.255.25420.57.255.255131,070
3020.58.0.0/1520.58.0.1 to 20.59.255.25420.59.255.255131,070
3120.60.0.0/1520.60.0.1 to 20.61.255.25420.61.255.255131,070
3220.62.0.0/1520.62.0.1 to 20.63.255.25420.63.255.255131,070
3320.64.0.0/1520.64.0.1 to 20.65.255.25420.65.255.255131,070
3420.66.0.0/1520.66.0.1 to 20.67.255.25420.67.255.255131,070
3520.68.0.0/1520.68.0.1 to 20.69.255.25420.69.255.255131,070
3620.70.0.0/1520.70.0.1 to 20.71.255.25420.71.255.255131,070
3720.72.0.0/1520.72.0.1 to 20.73.255.25420.73.255.255131,070
3820.74.0.0/1520.74.0.1 to 20.75.255.25420.75.255.255131,070
3920.76.0.0/1520.76.0.1 to 20.77.255.25420.77.255.255131,070
4020.78.0.0/1520.78.0.1 to 20.79.255.25420.79.255.255131,070
4120.80.0.0/1520.80.0.1 to 20.81.255.25420.81.255.255131,070
4220.82.0.0/1520.82.0.1 to 20.83.255.25420.83.255.255131,070
4320.84.0.0/1520.84.0.1 to 20.85.255.25420.85.255.255131,070
4420.86.0.0/1520.86.0.1 to 20.87.255.25420.87.255.255131,070
4520.88.0.0/1520.88.0.1 to 20.89.255.25420.89.255.255131,070
4620.90.0.0/1520.90.0.1 to 20.91.255.25420.91.255.255131,070
4720.92.0.0/1520.92.0.1 to 20.93.255.25420.93.255.255131,070
4820.94.0.0/1520.94.0.1 to 20.95.255.25420.95.255.255131,070
4920.96.0.0/1520.96.0.1 to 20.97.255.25420.97.255.255131,070
5020.98.0.0/1520.98.0.1 to 20.99.255.25420.99.255.255131,070
5120.100.0.0/1520.100.0.1 to 20.101.255.25420.101.255.255131,070
5220.102.0.0/1520.102.0.1 to 20.103.255.25420.103.255.255131,070
5320.104.0.0/1520.104.0.1 to 20.105.255.25420.105.255.255131,070
5420.106.0.0/1520.106.0.1 to 20.107.255.25420.107.255.255131,070
5520.108.0.0/1520.108.0.1 to 20.109.255.25420.109.255.255131,070
5620.110.0.0/1520.110.0.1 to 20.111.255.25420.111.255.255131,070
5720.112.0.0/1520.112.0.1 to 20.113.255.25420.113.255.255131,070
5820.114.0.0/1520.114.0.1 to 20.115.255.25420.115.255.255131,070
5920.116.0.0/1520.116.0.1 to 20.117.255.25420.117.255.255131,070
6020.118.0.0/1520.118.0.1 to 20.119.255.25420.119.255.255131,070
6120.120.0.0/1520.120.0.1 to 20.121.255.25420.121.255.255131,070
6220.122.0.0/1520.122.0.1 to 20.123.255.25420.123.255.255131,070
6320.124.0.0/1520.124.0.1 to 20.125.255.25420.125.255.255131,070
6420.126.0.0/1520.126.0.1 to 20.127.255.25420.127.255.255131,070
6520.128.0.0/1520.128.0.1 to 20.129.255.25420.129.255.255131,070
6620.130.0.0/1520.130.0.1 to 20.131.255.25420.131.255.255131,070
6720.132.0.0/1520.132.0.1 to 20.133.255.25420.133.255.255131,070
6820.134.0.0/1520.134.0.1 to 20.135.255.25420.135.255.255131,070
6920.136.0.0/1520.136.0.1 to 20.137.255.25420.137.255.255131,070
7020.138.0.0/1520.138.0.1 to 20.139.255.25420.139.255.255131,070
7120.140.0.0/1520.140.0.1 to 20.141.255.25420.141.255.255131,070
7220.142.0.0/1520.142.0.1 to 20.143.255.25420.143.255.255131,070
7320.144.0.0/1520.144.0.1 to 20.145.255.25420.145.255.255131,070
7420.146.0.0/1520.146.0.1 to 20.147.255.25420.147.255.255131,070
7520.148.0.0/1520.148.0.1 to 20.149.255.25420.149.255.255131,070
7620.150.0.0/1520.150.0.1 to 20.151.255.25420.151.255.255131,070
7720.152.0.0/1520.152.0.1 to 20.153.255.25420.153.255.255131,070
7820.154.0.0/1520.154.0.1 to 20.155.255.25420.155.255.255131,070
7920.156.0.0/1520.156.0.1 to 20.157.255.25420.157.255.255131,070
8020.158.0.0/1520.158.0.1 to 20.159.255.25420.159.255.255131,070
8120.160.0.0/1520.160.0.1 to 20.161.255.25420.161.255.255131,070
8220.162.0.0/1520.162.0.1 to 20.163.255.25420.163.255.255131,070
8320.164.0.0/1520.164.0.1 to 20.165.255.25420.165.255.255131,070
8420.166.0.0/1520.166.0.1 to 20.167.255.25420.167.255.255131,070
8520.168.0.0/1520.168.0.1 to 20.169.255.25420.169.255.255131,070
8620.170.0.0/1520.170.0.1 to 20.171.255.25420.171.255.255131,070
8720.172.0.0/1520.172.0.1 to 20.173.255.25420.173.255.255131,070
8820.174.0.0/1520.174.0.1 to 20.175.255.25420.175.255.255131,070
8920.176.0.0/1520.176.0.1 to 20.177.255.25420.177.255.255131,070
9020.178.0.0/1520.178.0.1 to 20.179.255.25420.179.255.255131,070
9120.180.0.0/1520.180.0.1 to 20.181.255.25420.181.255.255131,070
9220.182.0.0/1520.182.0.1 to 20.183.255.25420.183.255.255131,070
9320.184.0.0/1520.184.0.1 to 20.185.255.25420.185.255.255131,070
9420.186.0.0/1520.186.0.1 to 20.187.255.25420.187.255.255131,070
9520.188.0.0/1520.188.0.1 to 20.189.255.25420.189.255.255131,070
9620.190.0.0/1520.190.0.1 to 20.191.255.25420.191.255.255131,070
9720.192.0.0/1520.192.0.1 to 20.193.255.25420.193.255.255131,070
9820.194.0.0/1520.194.0.1 to 20.195.255.25420.195.255.255131,070
9920.196.0.0/1520.196.0.1 to 20.197.255.25420.197.255.255131,070
10020.198.0.0/1520.198.0.1 to 20.199.255.25420.199.255.255131,070
10120.200.0.0/1520.200.0.1 to 20.201.255.25420.201.255.255131,070
10220.202.0.0/1520.202.0.1 to 20.203.255.25420.203.255.255131,070
10320.204.0.0/1520.204.0.1 to 20.205.255.25420.205.255.255131,070
10420.206.0.0/1520.206.0.1 to 20.207.255.25420.207.255.255131,070
10520.208.0.0/1520.208.0.1 to 20.209.255.25420.209.255.255131,070
10620.210.0.0/1520.210.0.1 to 20.211.255.25420.211.255.255131,070
10720.212.0.0/1520.212.0.1 to 20.213.255.25420.213.255.255131,070
10820.214.0.0/1520.214.0.1 to 20.215.255.25420.215.255.255131,070
10920.216.0.0/1520.216.0.1 to 20.217.255.25420.217.255.255131,070
11020.218.0.0/1520.218.0.1 to 20.219.255.25420.219.255.255131,070
11120.220.0.0/1520.220.0.1 to 20.221.255.25420.221.255.255131,070
11220.222.0.0/1520.222.0.1 to 20.223.255.25420.223.255.255131,070
11320.224.0.0/1520.224.0.1 to 20.225.255.25420.225.255.255131,070
11420.226.0.0/1520.226.0.1 to 20.227.255.25420.227.255.255131,070
11520.228.0.0/1520.228.0.1 to 20.229.255.25420.229.255.255131,070
11620.230.0.0/1520.230.0.1 to 20.231.255.25420.231.255.255131,070
11720.232.0.0/1520.232.0.1 to 20.233.255.25420.233.255.255131,070
11820.234.0.0/1520.234.0.1 to 20.235.255.25420.235.255.255131,070
11920.236.0.0/1520.236.0.1 to 20.237.255.25420.237.255.255131,070
12020.238.0.0/1520.238.0.1 to 20.239.255.25420.239.255.255131,070
12120.240.0.0/1520.240.0.1 to 20.241.255.25420.241.255.255131,070
12220.242.0.0/1520.242.0.1 to 20.243.255.25420.243.255.255131,070
12320.244.0.0/1520.244.0.1 to 20.245.255.25420.245.255.255131,070
12420.246.0.0/1520.246.0.1 to 20.247.255.25420.247.255.255131,070
12520.248.0.0/1520.248.0.1 to 20.249.255.25420.249.255.255131,070
12620.250.0.0/1520.250.0.1 to 20.251.255.25420.251.255.255131,070
12720.252.0.0/1520.252.0.1 to 20.253.255.25420.253.255.255131,070
12820.254.0.0/1520.254.0.1 to 20.255.255.25420.255.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses